From 7008114bb484783ff7a1b4dcfe883b89e2a107c5 Mon Sep 17 00:00:00 2001
From: Sascha Markus <s.ascha.markus@gmail.com>
Date: Mon, 28 May 2018 19:32:36 +0000
Subject: [PATCH] bugfix-15468-make-reports-helpdesk-friendly

---
 config/chroot_local-includes/etc/whisperback/config.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/config/chroot_local-includes/etc/whisperback/config.py b/config/chroot_local-includes/etc/whisperback/config.py
index 750cfe3f97..fe5bc85c06 100644
--- a/config/chroot_local-includes/etc/whisperback/config.py
+++ b/config/chroot_local-includes/etc/whisperback/config.py
@@ -12,6 +12,7 @@
 import os
 import subprocess
 import random
+import re
 import locale
 import gettext
 
@@ -173,7 +174,7 @@ def mail_appended_info():
         process = subprocess.Popen (["sudo", "/usr/local/sbin/tails-debugging-info"], 
                                     stdout=subprocess.PIPE)
         for line in process.stdout:
-            debugging_info += line.decode('utf-8')
+            debugging_info += re.sub(r'^--\s*', '', line.decode('utf-8'))
         process.wait()
     except OSError:
         debugging_info += "sudo command not found\n"
-- 
2.11.0

